Skip to main content
POST
/
api
/
public
/
v1
/
operations
/
internal
curl --request POST \ --url https://api.wallbit.io/api/public/v1/operations/internal \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "currency": "USD", "from": "DEFAULT", "to": "INVESTMENT", "amount": 100 } '
{ "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "WITHDRAWAL_LOCAL", "external_address": "Juan Perez", "source_currency": { "code": "<string>", "alias": "<string>" }, "dest_currency": { "code": "<string>", "alias": "<string>" }, "source_amount": 123, "dest_amount": 123, "status": "<string>", "created_at": "2023-11-07T05:31:56Z", "comment": "<string>" }

Authorizations

X-API-Key
string
header
required

API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.

Body

application/json
currency
string
required

Currency code

Example:

"USD"

from
enum<string>
required

Source account

Available options:
DEFAULT,
INVESTMENT
Example:

"DEFAULT"

to
enum<string>
required

Destination account

Available options:
DEFAULT,
INVESTMENT
Example:

"INVESTMENT"

amount
number<float>
required

Amount to transfer

Required range: 1 <= x <= 999999
Example:

100

Response

Operation completed successfully

uuid
string<uuid>

Transaction unique identifier

type
string

Transaction type

Example:

"WITHDRAWAL_LOCAL"

external_address
string | null

External address used for the transaction (for example, a name in WITHDRAWAL_LOCAL operations)

Example:

"Juan Perez"

source_currency
object
dest_currency
object
source_amount
number<float>

Source amount

dest_amount
number<float>

Destination amount

status
string

Transaction status

created_at
string<date-time>

Creation timestamp

comment
string | null

Optional comment